Package org.apache.activemq.artemis.uri.schemas.clusterConnection

## Class ClusterConnectionMulticastSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,​java.lang.String>
  - - org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionStaticSchema
    - - org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionMulticastSchema

-     public class ClusterConnectionMulticastSchema
      extends ClusterConnectionStaticSchema

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterConnectionMulticastSchema()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSchemaName()` |
    `void` | `populateObject​(java.net.URI uri, org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)` |

    - ### Methods inherited from class org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionStaticSchema

      `internalNewObject, internalNewURI`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterConnectionMulticastSchema

          public ClusterConnectionMulticastSchema()

  - ### Method Detail

    - #### getSchemaName

          public java.lang.String getSchemaName()

      Overrides:
        `getSchemaName` in class `ClusterConnectionStaticSchema`

    - #### populateObject

          public void populateObject​(java.net.URI uri,
                                     org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)
                              throws java.lang.Exception

      Overrides:
        `populateObject` in class `ClusterConnectionStaticSchema`
      Throws:
        `java.lang.Exception`